Bug 863302 - Multiple screen desktop mirrored and corrupted after running / exiting openarena on ATI FirePro V4800
Multiple screen desktop mirrored and corrupted after running / exiting openar...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-ati (Show other bugs)
18
x86_64 Linux
unspecified Severity unspecified
: ---
: ---
Assigned To: X/OpenGL Maintenance List
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-10-04 23:09 EDT by Adam Joseph Cook
Modified: 2014-02-05 07:27 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: 863305 (view as bug list)
Environment:
Last Closed: 2014-02-05 07:27:30 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Screenshot of GNOME 3 desktop before running openarena (5.06 MB, image/png)
2012-10-04 23:09 EDT, Adam Joseph Cook
no flags Details
Screenshot of GNOME 3 desktop after running openarena (1.69 MB, image/png)
2012-10-04 23:12 EDT, Adam Joseph Cook
no flags Details
Screenshot of GNOME 3 display settings before running openarena (4.61 MB, image/png)
2012-10-04 23:15 EDT, Adam Joseph Cook
no flags Details
Screenshot of GNOME 3 display settings after running openarena (1.21 MB, image/png)
2012-10-04 23:17 EDT, Adam Joseph Cook
no flags Details
Output of openarena run from terminal (23.07 KB, text/plain)
2012-10-04 23:18 EDT, Adam Joseph Cook
no flags Details
Glxinfo output (25.33 KB, text/plain)
2012-10-04 23:19 EDT, Adam Joseph Cook
no flags Details
Dmesg output with 'drm.debug=14' kernel parameter set (396.83 KB, text/plain)
2012-10-04 23:20 EDT, Adam Joseph Cook
no flags Details
Xorg logs (50.00 KB, application/x-gzip)
2012-10-04 23:21 EDT, Adam Joseph Cook
no flags Details

  None (edit)
Description Adam Joseph Cook 2012-10-04 23:09:06 EDT
Created attachment 621907 [details]
Screenshot of GNOME 3 desktop before running openarena

Description of problem:
This test was performed in response to the Fedora 18 Alpha Radeon Test Day.

The system is setup with multiple monitors with the right-hand monitor set as the primary monitor and the desktop extends into the left-hand monitor. The GNOME 3 Activities panel is contained entirely on the right-hand monitor as intended.

Openarena was run directly after login and played for about 5 minutes. The desktop display was normal before starting openarena. After exiting openarena normally, the display was mirrored across both monitors and the resolution setting was set incorrectly which made the text blurry and some windows inaccessible as they were 'trapped' between the monitors. Screenshots of the before and after desktop and of the display settings (System Settings -> Display) before and after running openarena.

Version-Release number of selected component (if applicable):
openarena-0.8.5-6.fc18.noarch
xorg-x11-drv-ati-7.0.0-0.6.20120910git7c7f27756.fc18.x86_64

How reproducible:
Always. This test was performed twice with the same results.

Steps to Reproduce:
http://fedoraproject.org/wiki/QA:Testcase_radeon_3D_openarena
  
Actual results:
Desktop is mirrored across both monitors and resolution is not correct on either monitor. Display is corrupted to some degree.

Expected results:
Running openarena should not change Display settings or corrupt display.

Additional info:
* Smolt profile: http://www.smolts.org/client/show/pub_93c84bef-cc7a-4308-b3d6-42916961926b
Comment 1 Adam Joseph Cook 2012-10-04 23:12:09 EDT
Created attachment 621908 [details]
Screenshot of GNOME 3 desktop after running openarena
Comment 2 Adam Joseph Cook 2012-10-04 23:15:30 EDT
Created attachment 621909 [details]
Screenshot of GNOME 3 display settings before running openarena
Comment 3 Adam Joseph Cook 2012-10-04 23:17:30 EDT
Created attachment 621910 [details]
Screenshot of GNOME 3 display settings after running openarena
Comment 4 Adam Joseph Cook 2012-10-04 23:18:25 EDT
Created attachment 621911 [details]
Output of openarena run from terminal
Comment 5 Adam Joseph Cook 2012-10-04 23:19:08 EDT
Created attachment 621912 [details]
Glxinfo output
Comment 6 Adam Joseph Cook 2012-10-04 23:20:22 EDT
Created attachment 621913 [details]
Dmesg output with 'drm.debug=14' kernel parameter set
Comment 7 Adam Joseph Cook 2012-10-04 23:21:20 EDT
Created attachment 621914 [details]
Xorg logs
Comment 8 Fedora End Of Life 2013-12-21 04:02:48 EST
This message is a reminder that Fedora 18 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 18. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '18'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 18's end of life.

Thank you for reporting this issue and we are sorry that we may not be 
able to fix it before Fedora 18 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior to Fedora 18's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 9 Fedora End Of Life 2014-02-05 07:27:32 EST
Fedora 18 changed to end-of-life (EOL) status on 2014-01-14. Fedora 18 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.